org.apache.ignite.internal.pagemem.wal.record

## Class MasterKeyChangeRecordV2

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.MasterKeyChangeRecordV2

    public class MasterKeyChangeRecordV2
    extends WALRecord

Logical record that stores encryption keys. Written to the WAL on the master key change.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MasterKeyChangeRecordV2(String masterKeyName, List<T2<Integer,GroupKeyEncrypted>> grpKeys)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `dataSize()`
`List<T2<Integer,GroupKeyEncrypted>>` `getGrpKeys()`
`String` `getMasterKeyName()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MasterKeyChangeRecordV2

    public MasterKeyChangeRecordV2(String masterKeyName,
                                   List<T2<Integer,GroupKeyEncrypted>> grpKeys)

Parameters:
  `masterKeyName` - Master key name.
  `grpKeys` - Encrypted group keys.

### Method Detail

#### getMasterKeyName

    public String getMasterKeyName()

Returns:
  Master key name.

#### getGrpKeys

    public List<T2<Integer,GroupKeyEncrypted>> getGrpKeys()

Returns:
  Encrypted group keys.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### dataSize

    public int dataSize()

Returns:
  Record data size.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022